﻿using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        //http://weblogs.asp.net/scottgu/archive/2007/07/11/linq-to-sql-part-4-updating-our-database.aspx

        using (DataClassesDataContext db = new DataClassesDataContext())
        {
            var result = from r in db.M_companies
                         where (r.comp_pkid == 1)
                         select r;
            foreach (M_company comp in result)
            {
                lblText.Text = comp.comp_txt;
            }
        }   




    }
    protected void btnSubmit_Click(object sender, EventArgs e)
    {
        int Cat_id = Convert.ToInt32(txtId.Text);
        string Name = txtName.Text;
        M_company m_Comapny = new M_company();
        m_Comapny.cat_fkid = Cat_id;
        m_Comapny.comp_txt = Name;
        using (DataClassesDataContext db = new DataClassesDataContext())
        {
            db.Insert_Company(Name, Cat_id);
            db.SubmitChanges();
        }



        //int Cat_id = Convert.ToInt32(txtId.Text);
        //string Name = txtName.Text;
        //M_company m_Comapny = new M_company();
        //m_Comapny.cat_fkid = Cat_id;
        //m_Comapny.comp_txt = Name;
        //using (DataClassesDataContext db = new DataClassesDataContext())
        //{
        //    db.M_companies.InsertOnSubmit(m_Comapny);
        //    db.SubmitChanges();
        //}
    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        int Cat_id = Convert.ToInt32(txtId.Text);
        string Name = txtName.Text;
        M_company m_Comapny = new M_company();
        m_Comapny.cat_fkid = Cat_id;
        m_Comapny.comp_txt = Name;
        using (DataClassesDataContext db = new DataClassesDataContext())
        {
            var result = from r in db.M_companies
                         where (r.comp_pkid == 20)
                         select r;

            foreach (M_company comp in result)
            {
                comp.cat_fkid = Cat_id;
                comp.comp_txt = Name;
            }
            db.SubmitChanges();
        }

    }
    protected void btnDelete_Click(object sender, EventArgs e)
    {
        using (DataClassesDataContext db = new DataClassesDataContext())
        {
            M_company m_Comp = db.M_companies.Single(a => a.comp_pkid == 19);
            db.M_companies.DeleteOnSubmit(m_Comp);
            db.SubmitChanges();
        }
    }
}
